ESP Ghostscript-8.15.4 broken without X?

Zach Milton battlecommando at gmail.com
Sun Oct 19 00:08:52 PDT 2008


ESP Ghostscript-8.15.4 seems to be broken without X on a default LFS build.

I am trying to compile it to get the drivers for CUPS, and I cannot get it
to successfully compile with the book instuctions.

I have also tried the configure switches "--disable-gtk" and "--without-x"
to no avail. The switches are mentioned by the configure script when run
with "./configure --help".

This is a default LFS 6.3 (stable) / BLFS 6.3 (stable) build with no special
parameters.

I do not have, nor intend to install X, as the system is not very ample on
resources, and will function purely as a network server.

The package page states that the "X Window System" is an optional package.

The attached file is the log of the build with errors when the software
build breaks with configure switches of "--disable-gtk" and "--without-x".

The command I used to build is as follows:

------------------------

./configure --prefix=/usr \

--enable-threads \

--disable-gtk \

--without-x &&

make

------------------------

Am I doing this wrong? Or is something wrong with the package?

Thanks in advance for any help or insight!

-Zach
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.linuxfromscratch.org/pipermail/blfs-support/attachments/20081019/d2b727af/attachment.html>


More information about the blfs-support mailing list